import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';

import { PreviewComponent } from './component/preview.component';
import { PreviewListComponent } from './component/preview-list.component';

import { PageService } from './service/page.service';

export const COMPONENTS = [PreviewComponent, PreviewListComponent];

export const SERVICES = [PageService];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [CommonModule, RouterModule, OddsCrawlerFrontendCommonModule],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendPageModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendPageRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendPageRootModule,
      providers: [...SERVICES]
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendPageRootModule {}
